﻿# You can place the script of your game in this file.



### Declare characters used by the game when not patched.

define e = Character("Eileen", who_color="FF7F7F")
define p = DynamicCharacter("protagonist_name", who_color="c8ffc8")

define nv = Character(None, kind=nvl)


init python:
    protagonist_name = "Joe"



### Declare images used by the game when not patched.

image eileen happy = "images/eileen_happy.png"
image eileen vhappy = "images/eileen_vhappy.png"
image eileen vhappy2 = "images/eileen_vhappy2.png"
image eileen concerned = "images/eileen_concerned.png"
image eileen frown = "images/eileen_frown.png"
image eileen surprised = "images/eileen_surprised.png"
image eileen blush = "images/eileen_blush.png"
image eileen blush2 = "images/eileen_blush2.png"
image eileen shy = "images/eileen_shy.png"
image eileen kiss = ConditionSwitch(
    "persistent.patch_enabled == True", "patch/images/eileen_kiss.png",
    "not persistent.patch_enabled", "images/eileen_kiss.png"
    )

image bg white = "#fff"
image bg gray = "#666"
image bg black = "#000"
image bg washington = "images/bg_washington.jpg"
image bg cave = "images/cave.jpg"



### Declare music and sounds used by the game when not patched

define audio.track1 = "audio/track1.ogg"



### Initial Variable Setup:

init -3 python:
    persistent.patch_installed = False
init -1 python:
    if persistent.patch_installed and not persistent.patch_first_time:
        persistent.patch_enabled = True
        persistent.patch_first_time = True
    elif not persistent.patch_installed and persistent.patch_enabled:
        persistent.patch_first_time = False
        persistent.patch_enabled = False






### The game starts here.
label start:

    scene bg gray
    with dissolve
    
    menu:
        "This game will name the protagonist \"Joe.\" Is that okay?"
        "Yes":
            pass
        "No":
            $ protagonist_name = renpy.input(_("What is your name?")) or _("Joe")
        

    nv "You've created a new Ren'Py game."
    nv "Once you add a story, pictures, and music, you can release it to the world!"
    nvl clear
    
    "Ever since I heard her first say those words..."
    "Ever since that time when she showed me the magical feeling of making my own games..."
    "This feeling inside of me has grown stronger and stronger, and now, I can't stop thinking about her."
    "Eileen... You've shown me so much, and I've gotten so far since that day."
    "Now, it's finally time to come home."

    scene bg white with Dissolve(1.0)

    play music track1
    
    scene bg washington with Dissolve(1.0)
    
    "Finally, after so much time, I've returned."
    "The shores of washington, where we first met..."
    "The water still sparkles below the blue sky, just as I remember."
    "The band is still playing that familiar song..."
    "This was where she taught me so many things..."
    "How to show dialogue, how to display images, how to use ATL..."
    "I learned so many things from her."
    "Since then, I've travelled to so many places with the Renpy game engine, played so many games, and created my own ideas to share with others."
    "But still... I can't help but rememeber her kindness..."
    "She should be somewhere around here..."
    
    show eileen frown with dissolve
    
    e "..."
    "When I see her again, my heart pound rapidly."
    "She looks just as young, just as lovely as before."
    
    p "Eileen..."
    show eileen vhappy2
    e "Oh! Hello there, [protagonist_name]."
    e "It's been a long time since I last saw you. You already completed the last tutorial, right?"
    p "Yep. I've been using the documentation online a lot more nowadays."
    show eileen happy
    e "Well, I'm impressed. You must have been using Renpy a lot since the days you first started."
    show eileen vhappy
    e "I remember when I first taught you about images... and now, you're a real programmer!"
    show eileen happy
    e "I'm so proud of you, [protagonist_name]!"
    p "Th-thanks, Eileen..."
    
    "Hearing her praise me so highly, I feel a joy I've never before experienced."
    "This feeling... I can't get enough."
    "I want to hear her voice more..."
    
    show eileen frown
    e "So, what brings you here, [protagonist_name]? If you don't need the basic tutorials anymore, I have nothing more to teach you."
    e "You should go out into the world, play more games, and make fond memories."
    p "That's just the thing..."
    p "I... I want to stay here with you."
    
    show eileen surprised
    e "Huh?"
    p "I just..."
    p "I can't stop remembering the fun times we had together..."
    p "I want to stay here with you, Eileen!"
    p "I... I love you!"
    e "Wh-what? You l-love me?"
    "Eileen's face is stricken for a moment, stunned by my sudden confession."
    show eileen blush
    e "B-but, I'm just a tutorial character... I don't have an interesting personality, and I only have a few expressions."
    e "You could find a much better girl..."
    show eileen frown
    e "Heck, with your new skills, you could write a whole visual novel, and make your own girl, perfect for your tastes!"
    p "That just wouldn't be the same..."
    p "I want you, Eileeen, and nobody else."
    show eileen surprised
    e "[protagonist_name]..."
    e "Nobody's ever cared so much about me..."
    show eileen blush
    e "Even when I first started teaching you, I knew you would be different... but I never imagined that this would happen..."
    p "Please, Eileen..."
    p "Will you... be my girlfriend?"
    e "..."
    show eileen shy
    e "Of course I will."
    "She said yes..."
    "I'm so happy."
    p "Great! I love you, Eileen!"
    show eileen blush2
    "She blushes, and nods."
    e "I... love you too."
    p "Can I... kiss you?"
    show eileen shy
    e "...Let's go somewhere a little more private first."
    e "You know where I'm talking about, right?"
    p "Of course..."
    "She's talking about going... there..."
    "We join hands, and walk together, barely containing ourselves as we head to our destination..."
    scene bg black with dissolve
    
    scene bg cave
    show eileen blush2
    with dissolve
    
    "We're here."
    "This is... the cave."
    
    if persistent.patch_enabled:
        "I vaguely recall meeting somone here, but my memory is fuzzy."
        "The only thing I remember is that Eileen used it as an example somehow."

    "It was hardly ever used, even in the tutorial, which meant that nobody would disturb us here."
    p "Eileen..."
    show eileen shy
    e "We're here... So now, let's..."
    "Eileeen leans close to me, puckering her lips..."
    show eileen kiss
    
    if persistent.patch_enabled:
        jump patch_scene

    p "h-huh?!"
    e "What?"
    "Y-you're suddenly all pixellated!"
    show eileen surprised
    e "Whoa! I never expected this game would censor kisses!"
    p "Really?"
    show eileen blush
    e "Well, I guess this means that if we do kiss, you won't be able to see my face..."
    e "But... I still really want to..."
    p "Okay..."
    show eileen kiss
    "Eileen leans in close again, and her face gets pixellated again."
    "I can feel her lips against mine, but without seeing her face... It's just not the same."
    "..."
    "What a lousy kiss scene!"

    return
